RealWorld Paint Help

Help Essentials

RealWorld Paint

RealWorld Paint copyrights.

What is RealWorld Paint?

RealWorld Paint is a freeware image and animation editor. It can be used for photo-retouching, raster image editing or animation creation.

The editor offers several drawing tools, filling styles and image filters. It is capable of working with layers and effects may be assigned to layers. The application can be extended by native plug-ins or plug-ins compatible with Adobe Photoshop.

Documentation

Documentation is available online at http://www.rw-designer.com/image-editor-help.

e-mail: support@rw-designer.com
 http://www.rw-designer.com/


RealWorld Photos Copyrights

RealWorld Paint Copyrights

Copyright

RealWorld Paint is a copyrighted application and is protected by international law and treaties. The application was created by Vlastimil Miléř and Jan Miléř.

The application is released as FREEWARE, hence it may be used free of charge for any legal purpose, commercial or non-commercial. There in NO GUARANTEE that the application will function according to your expectations or according to the acompanying documentation. The authors are NOT RESPONSIBLE for any damage caused by an error in the application. Always backup your data and do not run the application on computers with valuable data.

Redistribution of the application is limited. If you want to put the application on your server, on a cover CD, etc., you must first obtain a permission - contact us at info@rw-designer.com.

Third party libraries

The software incorporates the following libraries. Each library has its own license and authors.

libjpeg+jpegtran

JPEG images are decoded and encoded using libjpeg library. Visit http://www.ijg.org/ for more information, licensing details, or source code.

libpng + zlib

PNG images are decoded and encoded using libpng and zlib libraries. Visit http://www.libpng.org/pub/png/libpng.html and http://www.zlib.net/ for more information, licensing details, or source code.

lcms

CMS transformations for JPEG images are performed by lcms library. Visit http://www.littlecms.com/ for more information, licensing details, or source code.

agg

Antialiased 2D graphics is rendered using AGG library, version 2.4. Visit http://www.antigrain.com/ for more information, licensing details, or source code.

Color Picker for WTL

A customized button by Tim Smith - http://www.codeproject.com/wtl/wtlcolorbutton.asp
e-mail: support@rw-designer.com
 http://www.rw-designer.com/


RealWorld Paint - What now?

Tips for: Animation Editor

Your active window can be used for animation editing. In this window, you can:

  • Add or remove frames from an animation - select a frame by clicking on it in the list in lower part of the window. Then use toolbar above the list to add, duplicate or delete frames.
  • Append new frames to animation - drag and drop images from Windows Explorer to the window with cursor frame list. Multiple files can be dropped at once.
  • Set frame duration - select a frame and then simply start typing new number. You can change change the speed of the entire animation from the "Animation" menu.
  • Save one frame of an animation - click on "Save selected frame" menu item in File menu.
  • Copy frames from one animation to another one - use standard clipboard operations. On paste, frames are put at the end of animation.
  • Reorder frames - drag and drop frames inside one animated cursor. Hold down CTRL to copy frames insted of moving them.
  • Edit image - use drawing tools. Choose a tool in a toolbar above the canvas, set its properties and select fill style, colors, or gradient in the panels by the right side of the window. Draw using left mouse button. Holding Shift or Ctrl modifies behavior of some tools. Online tool reference.
  • Run image operation or filter - click the requested operation in Image, Adjust or Effect menus. If selection exists, the effect is applied to selected region only. You can also run external filters compatible with Adobe Photoshop using the Ps-filter menu.
  • Zoom in and out and pan image - your mouse wheel controls zoom. If you press and hold the mouse wheel (or middle button) you can move the visible part of the image. Ctrl+middle button zooms in and out smoothly.

More info: http://www.rw-designer.com/image-editor-help


RealWorld Paint - What now?

Tips for: Raster Image Editor

Your active window can be used for layered image editing. In this window, you can:

  • Edit image - use drawing tools. Choose a tool in a toolbar above the canvas, set its properties and select fill style, colors, or gradient in the panels by the right side of the window. Draw using left mouse button. Holding Shift or Ctrl modifies behavior of some tools. Online tool reference.
  • Run image operation or filter - click the requested operation in Image, Adjust or Effect menus. If selection exists, the effect is applied to selected region only. You can also run external filters compatible with Adobe Photoshop using the Ps-filter menu.
  • Zoom in and out and pan image - your mouse wheel controls zoom. If you press and hold the mouse wheel (or middle button) you can move the visible part of the image. Ctrl+middle button zooms in and out smoothly.
  • Save image in standard format - click "Save As..." in "File" menu and select file format and properties in save window.
  • Print image - click "Print image" in "File" menu. If you do not see the "Print image" command, install the Print plug-in from the Online page.
  • Combine images - drag and drop image from a file manager to the canvas to paste it.

More info: http://www.rw-designer.com/image-editor-help


RealWorld Paint - What now?

Tips for: Creating and opening documents

You do not have any document open. In this window you can:

  • Create new document - click "Create" button by the left window edge. Double-click the selected wizard.
  • Open document - drag and drop a file from a file manager or click the "Open" button by the left window edge, then locate your file. If you want to open a recently used file, click the "Recent" button instead.
  • Configure application - use commands in "Tools" menu.

More info: http://www.rw-designer.com/image-editor-help